### Method

# Ggit Repository lookup_tag

#### Declaration [src]

    GgitTag*
    ggit_repository_lookup_tag (
      GgitRepository* repository,
      GgitOId* oid,
      GError** error
    )

#### Description [src]

Lookups a branch by its name in a repository.

#### Parameters

`oid`

  Type: `GgitOId`

  A `GgitOId`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitTag`

A `GgitTag` pointer.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.